Fwd: [Mediawiki-l] Upgrade mediawiki 1.6.8 to PHP5.2 and mysql 5.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Fwd: [Mediawiki-l] Upgrade mediawiki 1.6.8 to PHP5.2 and mysql 5.0

MinuteElectron
On 10/25/07, Achim Stumpf <[hidden email]> wrote:

> Hi,
>
> has anyone upgraded from mediawiki 1.6.8 to the newest version 1.11.0
> and  changed from mysql 4.1 to msyql 5.0 and php4.3 to php5.2.
>
> I have a new server and I will copy my wiki files and the database files
> to the new server.
> Then install mysql which should automatically upgrade the tables to
> version 5.
> copy the upgrade files to my wiki.
> doing the upgrade like described in the upgrade manual.
>
> Do you have any recommendations for me?
>
>

This should go without a hitch, but ensure you have made all backups
(XML dumps, database dumps, files) and *don't* use phpmyadmin.

--
MinuteElectron.
http://my.brlcad.org/~MinuteElectron/

_______________________________________________
Wikitech-l mailing list
[hidden email]
http://lists.wikimedia.org/mailman/listinfo/wikitech-l
Reply | Threaded
Open this post in threaded view
|

Re: Fwd: [Mediawiki-l] Upgrade mediawiki 1.6.8 to PHP5.2 and mysql 5.0

Rob Church
On 26/10/2007, Minute Electron <[hidden email]> wrote:
> This should go without a hitch, but ensure you have made all backups
> (XML dumps, database dumps, files) and *don't* use phpmyadmin.

An XML dump is useless as a complete backup, and should be treated as
a simple dump for the purposes of sharing content between wikis, which
is what it is. Never ever use it as a primary backup format.

See http://www.mediawiki.org/wiki/Manual:Backing_up_a_wiki for more information.


Rob Church

_______________________________________________
Wikitech-l mailing list
[hidden email]
http://lists.wikimedia.org/mailman/listinfo/wikitech-l